Bug 12298 - id/getent/ssh don't handle credentials of the form user@realm when global config "winbind use default domain = yes"
id/getent/ssh don't handle credentials of the form user@realm when global con...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-29 18:27 UTC by Noel Power
Modified: 2016-10-25 07:46 UTC (History)
2 users (show)

See Also:


Attachments
patch for master (6.70 KB, patch)
2016-09-30 08:10 UTC, Noel Power
no flags Details
patch backported to 4.4 (6.71 KB, patch)
2016-09-30 11:01 UTC, Noel Power
asn: review-
Details
patch backported to 4.5 (6.70 KB, patch)
2016-09-30 11:02 UTC, Noel Power
asn: review-
Details
patch backported to 4.4 (with cherrypick marker) (7.22 KB, patch)
2016-10-06 10:23 UTC, Noel Power
asn: review+
Details
patch backported to 4.5 (with cherrypick marker) (7.14 KB, patch)
2016-10-06 10:23 UTC, Noel Power
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2016-09-29 18:27:14 UTC
using credentials of the format user@realm fails with default domain setting enabled

For example for samba client joined to a windows AD DC the following
commands fail if 'winbind use default domain = yes'
   getent passwd user@domain.com
   ssh -o user=user@domain.com localhost

The same commands succeed if the setting above has the default 'no' value
Comment 1 Noel Power 2016-09-30 08:10:56 UTC
Created attachment 12519 [details]
patch for master

details and sofar 1 reviewed by Jeremy here https://lists.samba.org/archive/samba-technical/2016-September/116315.html
Comment 2 Noel Power 2016-09-30 11:01:54 UTC
Created attachment 12520 [details]
patch backported to 4.4
Comment 3 Noel Power 2016-09-30 11:02:28 UTC
Created attachment 12521 [details]
patch backported to 4.5
Comment 4 Jeremy Allison 2016-10-05 21:14:56 UTC
Comment on attachment 12520 [details]
patch backported to 4.4

LGTM, Andreas can I get a second review please ?
Comment 5 Jeremy Allison 2016-10-05 21:15:21 UTC
Comment on attachment 12521 [details]
patch backported to 4.5

LGTM. Andreas can I get a second review please ?
Comment 6 Andreas Schneider 2016-10-06 09:17:53 UTC
Comment on attachment 12520 [details]
patch backported to 4.4

The patches need to be cherry-picked with -x so we have a reference to the orginal master commit.
Comment 7 Andreas Schneider 2016-10-06 09:18:14 UTC
Comment on attachment 12521 [details]
patch backported to 4.5

The patches need to be cherry-picked with -x so we have a reference to the orginal master commit.
Comment 8 Andreas Schneider 2016-10-06 09:20:23 UTC
git cherry-pick -x adds:

(cherry picked from commit f5401ff3146aabc5fb2dac25e4856c6c3756c8f7)

If it gets backported from an orignal patch, edit or manually add:

(backported from commit f5401ff3146aabc5fb2dac25e4856c6c3756c8f7)


The commit id should be the one from the original commit, not the one I used above ;)
Comment 9 Noel Power 2016-10-06 10:23:20 UTC
Created attachment 12546 [details]
patch backported to 4.4 (with cherrypick marker)
Comment 10 Noel Power 2016-10-06 10:23:43 UTC
Created attachment 12547 [details]
patch backported to 4.5 (with cherrypick marker)
Comment 11 Noel Power 2016-10-06 10:25:54 UTC
(In reply to Andreas Schneider from comment #6)
seems I got ahead of myself and generated the patches *before* they were submitted to master thus there was no commit id to cherry-pick (will try to remember in future to sequence things better)
Comment 12 Jeremy Allison 2016-10-06 23:29:22 UTC
Comment on attachment 12546 [details]
patch backported to 4.4 (with cherrypick marker)

LGTM. Andreas please comment !
Comment 13 Jeremy Allison 2016-10-06 23:29:44 UTC
Comment on attachment 12547 [details]
patch backported to 4.5 (with cherrypick marker)

LGTM. Andreas please comment.
Comment 14 Andreas Schneider 2016-10-07 06:57:26 UTC
Comment on attachment 12547 [details]
patch backported to 4.5 (with cherrypick marker)

LGTM
Comment 15 Andreas Schneider 2016-10-07 06:58:04 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 16 Karolin Seeger 2016-10-19 07:54:21 UTC
(In reply to Andreas Schneider from comment #15)
Pushed to autobuild-v4-{5,4}-test.
Comment 17 Karolin Seeger 2016-10-25 07:46:02 UTC
(In reply to Karolin Seeger from comment #16)
Pushed to both branches.
Closing out bug report.

Thanks!